namespace Tiobon.Core.Controllers
{
    /// <summary>
    /// 类别管理【无权限】
    /// </summary>
    [Route("api/[controller]")]
    [ApiController, ApiExplorerSettings(GroupName = Grouping.GroupName_Other)]
    [AllowAnonymous]
    public class TopicController : ControllerBase
    {
        readonly ITopicServices _topicServices;

        /// <summary>
        /// 构造函数
        /// </summary>
        /// <param name="topicServices"></param>
        public TopicController(ITopicServices topicServices)
        {
            _topicServices = topicServices;
        }

        /// <summary>
        /// 获取Tibug所有分类
        /// </summary>
        /// <returns></returns>
        // GET: api/Topic
        [HttpGet]
        public async Task<ServiceResult<List<Topic>>> Get()
        {
            var data = new ServiceResult<List<Topic>> { Data = await _topicServices.GetTopics() };
            if (data.Data != null)
            {
                data.Success = true;
                data.Message = "";
            }
            return data;
        }

        // GET: api/Topic/5
        [HttpGet("{id}")]
        public string Get(long id)
        {
            return "value";
        }

        // POST: api/Topic
        [HttpPost]
        public void Post([FromBody] string value)
        {
        }

        // PUT: api/Topic/5
        [HttpPut("{id}")]
        public void Put(long id, [FromBody] string value)
        {
        }

        // DELETE: api/ApiWithActions/5
        [HttpDelete("{id}")]
        public void Delete(long id)
        {
        }
    }
}
